
QGIS Application - Bug report #10861

Debian build failure

2014-07-10 02:06 AM - Andy Wood

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Debian amd64 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19230

Description

Building from Master has failed very early in the process in the last few days:

CMake Error: The following variables are used in this project, but they are set to NOTFOUND.

Please set them or make sure they are set and tested correctly in the CMake files:

QSCINTILLA_INCLUDE_DIR

   used as include directory in directory /home/agw/src/qgis/qgis_src/src/gui

QSCINTILLA_LIBRARY

    linked by target "qgis_gui" in directory /home/agw/src/qgis/qgis_src/src/gui

-------------------------------------------------------

-- The C compiler identification is GNU 4.9.0

-- The CXX compiler identification is GNU 4.9.0

-- QGIS version: 2.5.0 Master (20500)

-- Found GRASS: /usr/lib/grass64 (6.4.3)

-- Found Proj: /usr/lib/libproj.so

-- Found GEOS: /usr/lib/libgeos_c.so

-- Found GDAL: /usr/lib/libgdal.so (1.10.1)

-- Found Expat: /usr/lib/x86_64-linux-gnu/libexpat.so

-- Found Spatialindex: /usr/lib/x86_64-linux-gnu/libspatialindex.so

-- Found Qwt: /usr/lib/libqwt.so (6.0.0-svn)

-- Found Sqlite3: /usr/lib/x86_64-linux-gnu/libsqlite3.so

-- Found PostgreSQL: /usr/lib/x86_64-linux-gnu/libpq.so

-- Found SpatiaLite: /usr/lib/x86_64-linux-gnu/libspatialite.so

-- Found Qt version: 4.8.6

-- Found PythonInterp: /usr/bin/python (found version "2.7.8") 

-- Found Python executable: /usr/bin/python

-- Found Python version: 2.7.8

-- Found Python library: /usr/lib/x86_64-linux-gnu/libpython2.7.so

-- Found SIP version: 4.16.2

-- Found PyQt4 version: 4.11.1

-- Found QScintilla2 PyQt4 module: 2.8.2

-- Found GSL: -L/usr/lib -lgsl -lgslcblas -lm

-- Found Threads: TRUE  

-- Found FCGI: /usr/lib/libfcgi.so

-- Found Doxygen: /usr/bin/doxygen (found version "1.8.7") 

History
#1 - 2014-07-10 04:57 AM - Jürgen Fischer

Don't say that too loud please - our nightly builds could pick it up otherwise ;)

Did you install the new build dependency libqscintilla2-dev from commit:63a17e55?

#2 - 2014-07-10 05:15 AM - Andy Wood

- Status changed from Open to Closed

I hoped it would be something simple.  Did not see this new build dependency.

2025-12-15 2/2

http://dash.orfeo-toolbox.org/index.php?project=QGIS&#38;date=2014-07-09

